%define module pecan

Name:           python-%{module}
Version:        1.0.3
Release:        %mkrel 1
Summary:        A WSGI object-dispatching web framework, designed to be lean and fast, with few dependancies
License:        BSD
Group:          Development/Python
URL:            https://pypi.python.org/pypi/pecan
Source0:        https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       pythonegg(2)(beaker)
Requires:       pythonegg(2)(markupsafe)
BuildArch:      noarch

%description
A WSGI object-dispatching web framework, designed to be lean and fast,
with few dependancies.

%files
%{_bindir}/gunicorn_pecan
%{_bindir}/pecan
%{python2_sitelib}/%{module}*

#--------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        A WSGI object-dispatching web framework, designed to be lean and fast, with few dependancies
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

Requires:       pythonegg(3)(beaker)
Requires:       pythonegg(3)(markupsafe)

%description -n python3-%{module}
A WSGI object-dispatching web framework, designed to be lean and fast,
with few dependancies.
This is the Python 3 build of %{module}.

%files -n python3-%{module}
%{_bindir}/python3-gunicorn_pecan
%{_bindir}/python3-pecan
%{python3_sitelib}/%{module}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/pecan %{buildroot}%{_bindir}/python3-pecan
mv %{buildroot}%{_bindir}/gunicorn_pecan %{buildroot}%{_bindir}/python3-gunicorn_pecan

%py2_install


%changelog
* Sun Dec 20 2015 daviddavid <daviddavid> 1.0.3-1.mga6
+ Revision: 912463
- new version: 1.0.3
- add python 3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 750500
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-8.mga5
+ Revision: 729315
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 688210
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 544071
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.1-4.mga4
+ Revision: 499113
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 0.3.1-3.mga4
+ Revision: 462048
- Add more requires

* Thu Aug 01 2013 neoclust <neoclust> 0.3.1-2.mga4
+ Revision: 462044
- Add python-mako as requires

* Thu Aug 01 2013 neoclust <neoclust> 0.3.1-1.mga4
+ Revision: 462025
- imported package python-pecan

